commit:     1f5b22a2558ff171410317e9c5a51a5d2f356d09
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  3 09:01:03 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Dec  3 10:17:40 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f5b22a2

dev-python/pylint: Version Bump

Package-Manager: portage-2.2.25
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pylint/Manifest            |  1 +
 dev-python/pylint/pylint-1.4.5.ebuild | 62 +++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 39413d3..2c9fac8 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1 +1,2 @@
 DIST pylint-1.4.4.tar.gz 342461 SHA256 
0561af4d6bd4fa9e8e02f3997fe93684f7187c57bcef9db8c2ea9fb0d7d2f022 SHA512 
bcbf5439628a071055cea441455f6c0fe0cbfae2617c473bc376b880421f17f78653901d7cf49950653436a0991a3bafbc2df15744ff24a3b059de53e518b331
 WHIRLPOOL 
9b8f5384691f5e762bfd7313691783e0b1a9148effec0b29f2e538f587dfa03f57413817589f8fc3f152c05330b7f39c8ede27720ff6ad12496f9101d824fedf
+DIST pylint-1.4.5.tar.gz 342366 SHA256 
cd6623bdd6e79b6b1e4c24672bdfa5923ce14541cf26fecd2bbc56845d136086 SHA512 
530cdf53c411afc2b96d1716c5f9effa7b6406f9957c2b5183f651f47e458c28692e183f905a321adeb4919bd0ec68a4148fb171294ad08dfb5b87d37668849f
 WHIRLPOOL 
d4ccb18f42ab9b270c949ce145ec22a0f0f0f065f97e2f9fadd29b5503b348bee7ecf1321055b91dca3a9690946c238b09221521612c68f64d42d6170d92d7b0

diff --git a/dev-python/pylint/pylint-1.4.5.ebuild 
b/dev-python/pylint/pylint-1.4.5.ebuild
new file mode 100644
index 0000000..5c739cd
--- /dev/null
+++ b/dev-python/pylint/pylint-1.4.5.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+RESTRICT="test" # needs pygtk
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="http://www.logilab.org/project/pylint 
https://pypi.python.org/pypi/pylint";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc examples test"
+
+RDEPEND="
+       >=dev-python/logilab-common-0.53.0[${PYTHON_USEDEP}]
+       >=dev-python/astroid-1.3.6[${PYTHON_USEDEP}]
+       <dev-python/astroid-1.4[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( ${RDEPEND} )"
+
+# Usual. Requ'd for impl specific failures in test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile_all() {
+       # selection of straight html triggers a trivial annoying bug, we skirt 
it
+       use doc && PYTHONPATH="${S}" emake -e -C doc singlehtml
+}
+
+python_test() {
+       # Test suite appears not to work under Python 3.
+       # https://bitbucket.org/logilab/pylint/issue/240/
+       local msg="Test suite broken with ${EPYTHON}"
+       if python_is_python3; then
+               einfo "${msg}"
+               return 0
+       fi
+
+       pytest || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       doman man/{pylint,pyreverse}.1
+       use examples && local EXAMPLES=( examples/. )
+       use doc && local HTML_DOCS=( doc/_build/singlehtml/. )
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       # Optional dependency on "tk" USE flag would break support for Jython.
+       elog "pylint-gui script requires dev-lang/python with \"tk\" USE flag 
enabled."
+}

Reply via email to